#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6db0422b, "crypto_alloc_ahash" },
	{ 0x5b82c7ae, "__host1x_client_init" },
	{ 0xf67d15a8, "devm_platform_ioremap_resource" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0x4c0471ca, "platform_driver_unregister" },
	{ 0xe5e2a9e6, "host1x_job_pin" },
	{ 0x18b88f93, "crypto_engine_unregister_aead" },
	{ 0xea9fb8df, "crypto_shash_tfm_digest" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xa6a792a3, "crypto_ahash_setkey" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1322e2bc, "host1x_syncpt_request" },
	{ 0x84d0ec4, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x98168016, "host1x_job_put" },
	{ 0xacf5fd84, "crypto_engine_exit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xc9e4f99d, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc10be08d, "host1x_job_unpin" },
	{ 0xa27a5c06, "crypto_destroy_tfm" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xfb9e4e52, "crypto_engine_register_skcipher" },
	{ 0x1415fdd2, "crypto_finalize_hash_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2962428d, "crypto_engine_unregister_skcipher" },
	{ 0xe09d8c2b, "host1x_syncpt_put" },
	{ 0x29d7e66c, "crypto_transfer_hash_request_to_engine" },
	{ 0x39e42d56, "_dev_err" },
	{ 0x7f905960, "crypto_shash_setkey" },
	{ 0x17c8a8f3, "host1x_job_submit" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x3cc65a18, "dma_alloc_attrs" },
	{ 0xbbc77b63, "crypto_engine_start" },
	{ 0x6ad9511, "crypto_engine_register_aead" },
	{ 0x4d743c8c, "host1x_device_init" },
	{ 0x2f10920a, "crypto_engine_unregister_ahash" },
	{ 0x9b48abdb, "__host1x_client_register" },
	{ 0xc5e48ab2, "crypto_ahash_finup" },
	{ 0xf4540731, "crypto_engine_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x6506b3e7, "_dev_warn" },
	{ 0x483e5c64, "device_get_match_data" },
	{ 0x7b303b92, "crypto_transfer_aead_request_to_engine" },
	{ 0xe27ebb3f, "host1x_driver_unregister" },
	{ 0x25e74018, "crypto_ahash_digest" },
	{ 0xeb2efdd5, "host1x_syncpt_wait" },
	{ 0x4ab6a11a, "host1x_syncpt_get" },
	{ 0x8b69db41, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x21d1c843, "host1x_job_alloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb805e707, "__platform_driver_register" },
	{ 0xd274a5e9, "dma_set_coherent_mask" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x36c0f6ba, "host1x_client_unregister" },
	{ 0x2d25f40d, "crypto_finalize_aead_request" },
	{ 0x2f813932, "dma_free_attrs" },
	{ 0xb02ff761, "dma_map_sgtable" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xfe6658a1, "host1x_channel_request" },
	{ 0xd799755b, "crypto_engine_alloc_init" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x726d5cbb, "host1x_device_exit" },
	{ 0x7728275d, "crypto_transfer_skcipher_request_to_engine" },
	{ 0xf4fd28fe, "host1x_job_add_gather" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x47c25a9f, "dma_set_mask" },
	{ 0x6d7e6549, "host1x_driver_register_full" },
	{ 0x6a4b49c1, "dma_get_sgtable_attrs" },
	{ 0xacc770c7, "host1x_channel_put" },
	{ 0xa9d95614, "dev_err_probe" },
	{ 0x9d0aa696, "devm_clk_get_enabled" },
	{ 0x5d8e25e6, "dma_unmap_sg_attrs" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0xe5626f15, "crypto_alloc_shash" },
	{ 0x2c0e4730, "crypto_engine_register_ahash" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x675f03b0, "host1x_syncpt_id" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "host1x,crypto_engine");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aes");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aesC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hash");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hashC*");

MODULE_INFO(srcversion, "2452D85258E9B7F8B659228");
MODULE_INFO(rhelversion, "9.6");
