#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(coresight_barrier_pkt, "_gpl", "");
KSYMTAB_FUNC(coresight_set_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_set_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_get_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_set_assoc_ectdev_mutex, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_path, "_gpl", "");
KSYMTAB_FUNC(coresight_enable, "_gpl", "");
KSYMTAB_FUNC(coresight_disable, "_gpl", "");
KSYMTAB_FUNC(coresight_timeout, "_gpl", "");
KSYMTAB_FUNC(coresight_register, "_gpl", "");
KSYMTAB_FUNC(coresight_unregister, "_gpl", "");
KSYMTAB_FUNC(coresight_loses_context_with_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_alloc_device_name, "_gpl", "");
KSYMTAB_FUNC(etm_perf_symlink, "_gpl", "");
KSYMTAB_FUNC(coresight_find_csdev_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(coresight_get_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_get_platform_data, "_gpl", "");
KSYMTAB_FUNC(coresight_add_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(cscfg_load_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_unload_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_register_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_unregister_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_reset_feats, "_gpl", "");
KSYMTAB_FUNC(cscfg_config_sysfs_get_active_cfg, "_gpl", "");
KSYMTAB_FUNC(cscfg_activate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_deactivate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_enable_active_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_disable_active_config, "_gpl", "");

SYMBOL_CRC(coresight_barrier_pkt, 0xecfb329f, "_gpl");
SYMBOL_CRC(coresight_set_cti_ops, 0xf4bb2ea4, "_gpl");
SYMBOL_CRC(coresight_remove_cti_ops, 0x4a0e600f, "_gpl");
SYMBOL_CRC(coresight_set_percpu_sink, 0xcc0e86a9, "_gpl");
SYMBOL_CRC(coresight_get_percpu_sink, 0xd29279c2, "_gpl");
SYMBOL_CRC(coresight_claim_device_unlocked, 0xb5d4ff54, "_gpl");
SYMBOL_CRC(coresight_claim_device, 0xd223ef7f, "_gpl");
SYMBOL_CRC(coresight_disclaim_device_unlocked, 0xcb20b529, "_gpl");
SYMBOL_CRC(coresight_disclaim_device, 0x1d93ee1d, "_gpl");
SYMBOL_CRC(coresight_set_assoc_ectdev_mutex, 0x515e7e5e, "_gpl");
SYMBOL_CRC(coresight_disable_path, 0xe16f84f5, "_gpl");
SYMBOL_CRC(coresight_enable, 0x214b07f2, "_gpl");
SYMBOL_CRC(coresight_disable, 0xeeca568e, "_gpl");
SYMBOL_CRC(coresight_timeout, 0xeca1a8e2, "_gpl");
SYMBOL_CRC(coresight_register, 0xb215f1b0, "_gpl");
SYMBOL_CRC(coresight_unregister, 0x0ebfc4e1, "_gpl");
SYMBOL_CRC(coresight_loses_context_with_cpu, 0x93d3b963, "_gpl");
SYMBOL_CRC(coresight_alloc_device_name, 0xafb41770, "_gpl");
SYMBOL_CRC(etm_perf_symlink, 0x1f1b7af3, "_gpl");
SYMBOL_CRC(coresight_find_csdev_by_fwnode, 0x81a5d371, "_gpl");
SYMBOL_CRC(coresight_get_cpu, 0x06ad728b, "_gpl");
SYMBOL_CRC(coresight_get_platform_data, 0x9115f807, "_gpl");
SYMBOL_CRC(coresight_add_sysfs_link, 0x62278506, "_gpl");
SYMBOL_CRC(coresight_remove_sysfs_link, 0x1aad13b7, "_gpl");
SYMBOL_CRC(cscfg_load_config_sets, 0xd7d8386d, "_gpl");
SYMBOL_CRC(cscfg_unload_config_sets, 0x79f69084, "_gpl");
SYMBOL_CRC(cscfg_register_csdev, 0x7bd83b50, "_gpl");
SYMBOL_CRC(cscfg_unregister_csdev, 0xa601712a, "_gpl");
SYMBOL_CRC(cscfg_csdev_reset_feats, 0xd1826b3f, "_gpl");
SYMBOL_CRC(cscfg_config_sysfs_get_active_cfg, 0xb0043d28, "_gpl");
SYMBOL_CRC(cscfg_activate_config, 0x985cc71d, "_gpl");
SYMBOL_CRC(cscfg_deactivate_config, 0xbe69f28a, "_gpl");
SYMBOL_CRC(cscfg_csdev_enable_active_config, 0xfb43bd67, "_gpl");
SYMBOL_CRC(cscfg_csdev_disable_active_config, 0xe40f43a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7f7ec92, "of_graph_get_remote_endpoint" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x89ac7776, "try_module_get" },
	{ 0xf6158a7f, "is_acpi_device_node" },
	{ 0xe626fea4, "of_fwnode_ops" },
	{ 0xd48e38a4, "config_group_init" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0x3aacdb49, "of_get_next_parent" },
	{ 0xc8f4ff6, "dev_set_name" },
	{ 0x21b70655, "configfs_register_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb930a80, "perf_aux_output_begin" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x466f284d, "sysfs_add_file_to_group" },
	{ 0x6914155a, "device_unregister" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xeef3a6d7, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x41b337f5, "processors" },
	{ 0x5bcd63ea, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x859196c2, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xc9e4f99d, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc766f1f7, "configfs_unregister_subsystem" },
	{ 0xd4881901, "device_match_fwnode" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x425689d3, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb0ea257b, "put_device" },
	{ 0xfd2e5c97, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xa645a700, "bus_for_each_dev" },
	{ 0x6a590ca7, "_dev_info" },
	{ 0xa5185ca, "config_item_set_name" },
	{ 0xabfeaecc, "module_put" },
	{ 0x49ab2dc0, "sysfs_create_link" },
	{ 0x3aff3200, "acpi_evaluate_object_typed" },
	{ 0xdcbe65b3, "sysfs_remove_link_from_group" },
	{ 0x7901579a, "perf_pmu_register" },
	{ 0xbb07645e, "of_get_child_by_name" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x66022c0a, "bus_unregister" },
	{ 0xa0f7fd62, "devm_kfree" },
	{ 0x39e42d56, "_dev_err" },
	{ 0xfbe1080, "bus_find_device" },
	{ 0x6ddc0809, "configfs_register_subsystem" },
	{ 0x80144ea9, "__of_parse_phandle_with_args" },
	{ 0x6c4e8991, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x28da2cd1, "config_group_init_type_name" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x1db2e3, "perf_pmu_unregister" },
	{ 0x96369071, "of_find_property" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x1e949443, "perf_aux_output_end" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa5f791f2, "of_graph_get_next_endpoint" },
	{ 0x666709be, "sysfs_remove_file_from_group" },
	{ 0x92a0ef0a, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2da6fa7c, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6506b3e7, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9f3b2f20, "fwnode_handle_get" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xdc16bef8, "of_graph_get_port_parent" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x479df241, "devm_kasprintf" },
	{ 0x58c25699, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5f8a590c, "fwnode_property_present" },
	{ 0x713a00ae, "__pm_runtime_resume" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x1ed69b9, "acpi_fetch_acpi_dev" },
	{ 0x63907934, "of_cpu_node_to_id" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x159a2782, "amba_bustype" },
	{ 0xe93ae6ac, "platform_bus_type" },
	{ 0x36e4b1a8, "sysfs_add_link_to_group" },
	{ 0xc6989fa3, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc9cd0c06, "of_node_name_eq" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0xffc3d8b5, "perf_aux_output_flag" },
	{ 0xe7b68663, "configfs_unregister_group" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x1966d8b9, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf8e63f0a, "__dev_fwnode" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x799cf63, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B8B4B5C5EDF0B852DD613FF");
MODULE_INFO(rhelversion, "9.6");
