#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x73d99ce8, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0xcdb5be59, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x713d0532, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x3b4d906f, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x8e86b38b, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x37094fb4, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xdc01284e, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xa7770959, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x08a40814, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xa1498f54, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x354edffc, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x61022b28, "_gpl");
SYMBOL_CRC(dm_get_md, 0xafc31bca, "_gpl");
SYMBOL_CRC(dm_hold, 0x36fb1cba, "_gpl");
SYMBOL_CRC(dm_device_name, 0xc4b508b5, "_gpl");
SYMBOL_CRC(dm_put, 0xb20f8d79, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x6edb53e8, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xa92797e0, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x31cb6be4, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x93057f0f, "_gpl");
SYMBOL_CRC(dm_disk, 0x6b2b0b37, "_gpl");
SYMBOL_CRC(dm_suspended, 0x53ab3f5d, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xd68d46ab, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x2081300c, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0xb727bf05, "");
SYMBOL_CRC(dm_put_device, 0x511f9ea1, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xd07fd95a, "_gpl");
SYMBOL_CRC(dm_table_event, 0x1f490c27, "");
SYMBOL_CRC(dm_table_get_size, 0x7360d2d9, "");
SYMBOL_CRC(dm_table_get_mode, 0xaa7387af, "");
SYMBOL_CRC(dm_table_get_md, 0x894dfac9, "");
SYMBOL_CRC(dm_table_device_name, 0xb3ff98b6, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x051c4827, "");
SYMBOL_CRC(dm_register_target, 0x81901ce9, "");
SYMBOL_CRC(dm_unregister_target, 0x0d116286, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xf03247ed, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x9451604c, "");
SYMBOL_CRC(dm_kcopyd_copy, 0xe7ae539c, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x1d47377f, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xde6c1c8e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x697a0c03, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x94ae4705, "set_disk_ro" },
	{ 0x235a304d, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x89ac7776, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcaaa40ff, "__init_rwsem" },
	{ 0x9a42799b, "misc_deregister" },
	{ 0xbea635b1, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x55a2a0be, "idr_find" },
	{ 0x7193a530, "param_ops_uint" },
	{ 0x11117b3d, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe0d81643, "bio_split_to_limits" },
	{ 0xa1ff0f57, "vmalloc_to_page" },
	{ 0xd772be2c, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7dea757c, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x2a54146d, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xdbe34644, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xbe07980c, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0xf1eb50d6, "idr_replace" },
	{ 0xbafae68, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x565a5632, "mempool_init" },
	{ 0x408fcd8b, "blk_rq_prep_clone" },
	{ 0xd373aafc, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x2c7ee385, "prepare_to_wait" },
	{ 0x42de5e60, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x156df735, "__traceiter_block_bio_remap" },
	{ 0xa40df278, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x37c28cc1, "prepare_to_wait_event" },
	{ 0xcd7306a9, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xbbdeeb4e, "__wake_up" },
	{ 0x8c6eb115, "synchronize_srcu" },
	{ 0x16a3ef95, "kmem_cache_create" },
	{ 0x84f9907d, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x63f5fa38, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xf32b1901, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0xeb9c2332, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7aa8dca, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x812f4971, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0xa27a5c06, "crypto_destroy_tfm" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xbed61b22, "__traceiter_block_split" },
	{ 0x3676a8f7, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x26dd5a2d, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xbd43762f, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xf71d07ee, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x34fc4ad3, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0xfd2e5c97, "kmalloc_node_trace" },
	{ 0xbcfec133, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0xb695d4f0, "__free_pages" },
	{ 0xfd72f3fe, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8870c114, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7c40be05, "submit_bio" },
	{ 0x79924364, "dax_add_host" },
	{ 0xabfeaecc, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc6d9101d, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x1ce2c3c3, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0xd65698eb, "idr_remove" },
	{ 0x9479752d, "kobject_uevent_env" },
	{ 0x6e539b37, "bio_put" },
	{ 0x8b4263d8, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xdec9d61c, "init_srcu_struct" },
	{ 0xb3fa6eb3, "fput" },
	{ 0x77a03a4d, "down_write" },
	{ 0x31e6b7bd, "blk_revalidate_disk_zones" },
	{ 0xc192f218, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xb7d119f5, "blk_update_request" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4e3412d9, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x2450c152, "__srcu_read_lock" },
	{ 0xcafa716d, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6aff70dc, "set_capacity" },
	{ 0x83d77036, "submit_bio_noacct" },
	{ 0x2c159fac, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x961b9038, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xddf57924, "kmem_cache_free" },
	{ 0xb09f6bab, "dax_remove_host" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xb0f8ba0b, "bio_chain" },
	{ 0xb4e262c2, "dax_recovery_write" },
	{ 0x93cc3634, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x2bbaafd9, "blk_stack_limits" },
	{ 0x6b3c734e, "kobject_init_and_add" },
	{ 0xf0104784, "zero_fill_bio_iter" },
	{ 0xddee0c51, "bio_add_page" },
	{ 0x673e9369, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb80bd408, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf8dc958, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbd2d3ce, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x77e0a2a2, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x1b0e7785, "idr_destroy" },
	{ 0x5a0ff5f2, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xa3fd9fac, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0xf4b5c56a, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb657a35, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaedfa189, "blk_insert_cloned_request" },
	{ 0x1bd0acfc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x79b137ef, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3d16a26, "audit_log_start" },
	{ 0xc89e7700, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb1808970, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6561e0e5, "bio_uninit" },
	{ 0xda4c432c, "crypto_shash_final" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x5e14310, "param_ops_bool" },
	{ 0xf8a43aa9, "bioset_init" },
	{ 0x1e5ff5de, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x28e1099d, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8ab3a204, "__traceiter_block_rq_remap" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x19a69ec8, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8ce2d446, "__tracepoint_block_rq_remap" },
	{ 0xb56a8e59, "bd_link_disk_holder" },
	{ 0xeb0a480d, "blk_mq_start_request" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7242d92, "put_dax" },
	{ 0xc438e850, "file_bdev" },
	{ 0x6d70f1d9, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9b33ca1, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x26fa851b, "blk_zone_plug_bio" },
	{ 0xeee158d6, "param_ops_int" },
	{ 0x8fa3f6b7, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xe5626f15, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xbb2ffde9, "queue_limits_set" },
	{ 0x2a162849, "bio_alloc_bioset" },
	{ 0x2d545fd0, "up_read" },
	{ 0xa8b72f32, "blk_mq_requeue_request" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xb00f5d14, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x873bec51, "bdev_end_io_acct" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0xc8ab0967, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x74e3cd8f, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4fe584f4, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "22646E38D4679DC418F26A9");
MODULE_INFO(rhelversion, "9.6");
