#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xab512ecd, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xa3cf3588, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x4825a7e0, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x1e8b797b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x53a3abbd, "__skb_checksum_complete" },
	{ 0x5a82f753, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x942af19e, "skb_copy_bits" },
	{ 0xc423ab0a, "__nlmsg_put" },
	{ 0x74d7c892, "netdev_adjacent_change_commit" },
	{ 0xcfa6973b, "eth_mac_addr" },
	{ 0x85dc7fed, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4d1435f0, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe7ed8168, "ip6_dst_hoplimit" },
	{ 0x8d3360df, "param_ops_ushort" },
	{ 0xc541a7d4, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x56f1c421, "udp_sock_create4" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xd798f401, "udp_tunnel6_xmit_skb" },
	{ 0xd9ccc58e, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x2f9671b6, "__unregister_nexthop_notifier" },
	{ 0xbd9a57b7, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa5b2404, "eth_validate_addr" },
	{ 0x77c56845, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3f3564c3, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc13578b6, "rtnl_create_link" },
	{ 0x482388a4, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x624224d7, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xca4c81b2, "ether_setup" },
	{ 0x433b66c3, "udp_tunnel_drop_rx_port" },
	{ 0xd799f4bf, "netdev_upper_dev_link" },
	{ 0x52cae634, "pskb_expand_head" },
	{ 0xea21cc6f, "register_pernet_subsys" },
	{ 0xc53a025, "eth_type_trans" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x5c7b811d, "__alloc_skb" },
	{ 0xc3cc7d32, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xbbbfd2b2, "eth_gro_complete" },
	{ 0x580166ff, "rtnl_set_sk_err" },
	{ 0x1d450bf0, "eth_gro_receive" },
	{ 0xa48c9211, "rtnl_configure_link" },
	{ 0xef4cc83d, "skb_tunnel_check_pmtu" },
	{ 0xab587a4d, "udp_tunnel_dst_lookup" },
	{ 0x73de74a3, "rtnl_unicast" },
	{ 0x40ba28f4, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xa669075c, "__skb_get_hash_net" },
	{ 0x95a05206, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x51317132, "__dev_get_by_index" },
	{ 0xc1b89a16, "rtnl_link_unregister" },
	{ 0x1f43033c, "ipv6_stub" },
	{ 0xc4a4fcea, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x41e0a80e, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc6f7f43, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xcc868240, "dev_get_by_index_rcu" },
	{ 0x1e8a9aff, "gro_cells_receive" },
	{ 0xd7dfaa2c, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xdfb75219, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x73680a90, "free_netdev" },
	{ 0xe9fc63d2, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xfd16f2f1, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xad3c5b1c, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53caed1b, "ethtool_op_get_link" },
	{ 0x9b43f730, "nexthop_find_by_id" },
	{ 0xc3f26fee, "arp_create" },
	{ 0x79de3d49, "__ethtool_get_link_ksettings" },
	{ 0x203b9518, "netdev_adjacent_change_prepare" },
	{ 0x47af66c1, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x54f6840e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x3fb35e35, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xdfe8d2b0, "rht_bucket_nested_insert" },
	{ 0x1943d3e4, "netdev_adjacent_change_abort" },
	{ 0x97c255fd, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa6fff8bf, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5c48e711, "__iptunnel_pull_header" },
	{ 0x7906ffcb, "__pskb_pull_tail" },
	{ 0x119a6a86, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xf7aa0b1c, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x177f231e, "rhashtable_destroy" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x7b3d50aa, "setup_udp_tunnel_sock" },
	{ 0xd4692805, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa94083df, "skb_trim" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x89035822, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x10974f1, "skb_scrub_packet" },
	{ 0x8b499025, "nexthop_select_path" },
	{ 0xaa1cd90, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x408d583d, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x945e25d7, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5e14310, "param_ops_bool" },
	{ 0x8143edad, "udp_tun_rx_dst" },
	{ 0xd822ebbe, "rtnl_notify" },
	{ 0x3ab869e2, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7d7c52c8, "__netif_rx" },
	{ 0x552e2f4c, "skb_clone" },
	{ 0x527edcf5, "metadata_dst_alloc" },
	{ 0xdb6535c3, "dst_release" },
	{ 0x6467ecfe, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x7236d54b, "udp_tunnel_notify_del_rx_port" },
	{ 0xbbabbc22, "register_nexthop_notifier" },
	{ 0xd1aca44, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xcd1e7e18, "gro_find_receive_by_type" },
	{ 0x38424f7c, "netdev_core_stats_inc" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x996c6ffe, "netdev_info" },
	{ 0xcb0c6c0a, "neigh_lookup" },
	{ 0x1b05e900, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2620b5d1, "register_netdevice" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.6");
