#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xa9ea8aa8, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x1012f7c4, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x0b630f21, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x570dc8f7, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x6197e4dd, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xe0bd72cd, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x0cf140a5, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x22c66f38, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x2457479e, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x95c522c4, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x8ec20e1b, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xd0769f4b, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x66bd97a3, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x55a6a65f, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xea111549, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x183f088c, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xd16b901d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8b4bb96, "iscsi_dbg_trace" },
	{ 0x590c1831, "dev_printk" },
	{ 0x49608959, "migrate_disable" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x25e74018, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xc0669c57, "iscsi_itt_to_ctask" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf31bb964, "iscsi_get_task" },
	{ 0xe4d03cfa, "iscsi_update_cmdsn" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xabf5c203, "iscsi_requeue_task" },
	{ 0x957720f6, "iscsi_put_task" },
	{ 0x9acef526, "iscsi_prep_data_out_pdu" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9220b0da, "iscsi_conn_failure" },
	{ 0x48d298ca, "iscsi_conn_setup" },
	{ 0xe7945545, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xaa976bb3, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbe652d65, "__traceiter_iscsi_dbg_tcp" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xdcb764ad, "memset" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x99dc0669, "iscsi_complete_pdu" },
	{ 0x8b69db41, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb56dbdcf, "skb_prepare_seq_read" },
	{ 0xc7fb2c3e, "skb_seq_read" },
	{ 0x7af58f59, "skb_abort_seq_read" },
	{ 0x59e4a3cd, "iscsi_verify_itt" },
	{ 0xb42fd79a, "__iscsi_complete_pdu" },
	{ 0xeee158d6, "param_ops_int" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "996C9DADF87E43446B7A223");
MODULE_INFO(rhelversion, "9.6");
