#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xb403671f, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x0e7637f2, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xd6585ee1, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xdfdb6479, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xf001854e, "_gpl");
SYMBOL_CRC(br_forward, 0x44b5fcdb, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x19ca622b, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x385d6ec1, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x655dee4a, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x53c74bc6, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x7c3f060a, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xfa1bec99, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x07c54079, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x7304c340, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x23901f7d, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x15ad771e, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xe6a42801, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x1bfa5134, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x283531af, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x199e0255, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xc65be30d, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x0fa812c3, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x3ba94695, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x0ac52df6, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x8e5c9ac8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xebff6512, "netdev_lower_get_next" },
	{ 0x9adada0e, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x971581ce, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x942af19e, "skb_copy_bits" },
	{ 0xc423ab0a, "__nlmsg_put" },
	{ 0xeebc261b, "switchdev_port_attr_set" },
	{ 0x160cd0bb, "ipv6_mc_check_mld" },
	{ 0x85dc7fed, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4d1435f0, "call_switchdev_notifiers" },
	{ 0xc63a78e6, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7282e590, "netdev_update_features" },
	{ 0xc541a7d4, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9723f414, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xa9e39f46, "__traceiter_br_fdb_update" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x7a64d8a1, "dev_uc_del" },
	{ 0xd9ccc58e, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x2a1dbb61, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0x64323956, "switchdev_port_obj_act_is_deferred" },
	{ 0x15bb922e, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b3a3982, "dev_set_promiscuity" },
	{ 0x77c56845, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x482388a4, "unregister_netdevice_queue" },
	{ 0x16a3ef95, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xaf37b74b, "netdev_state_change" },
	{ 0x1fa912c6, "__pskb_copy_fclone" },
	{ 0x2a31421e, "__dev_get_by_name" },
	{ 0xca4c81b2, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2925cbeb, "netdev_err" },
	{ 0x52cae634, "pskb_expand_head" },
	{ 0xea21cc6f, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x68f53b64, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xee2c83d4, "arp_xmit" },
	{ 0xe8a04e5b, "__traceiter_br_mdb_full" },
	{ 0x7dd66d33, "alloc_netdev_mqs" },
	{ 0x9927d2f4, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x74fe88a, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaade0cd8, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x5c7b811d, "__alloc_skb" },
	{ 0xfd72f3fe, "kmem_cache_alloc" },
	{ 0x580166ff, "rtnl_set_sk_err" },
	{ 0xd3342de6, "skb_vlan_pop" },
	{ 0x73de74a3, "rtnl_unicast" },
	{ 0x49ab2dc0, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x16ae02f5, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0x2d7af127, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x51317132, "__dev_get_by_index" },
	{ 0xc1b89a16, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x7fed8907, "dev_get_port_parent_id" },
	{ 0x7fe2c589, "init_net" },
	{ 0x1f43033c, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xdf46ba04, "inet_confirm_addr" },
	{ 0xc4a4fcea, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6c4e8991, "sysfs_remove_link" },
	{ 0x1a64a703, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6228bc59, "rtnl_af_unregister" },
	{ 0xbc6f7f43, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x192bd503, "arp_send" },
	{ 0xcc868240, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0xca836e16, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0xd7dfaa2c, "skb_push" },
	{ 0xddf57924, "kmem_cache_free" },
	{ 0x6bdad04c, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xdfb75219, "netdev_upper_dev_unlink" },
	{ 0x9a1ecdbe, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb7a23f01, "llc_mac_hdr_init" },
	{ 0x73680a90, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x6b3c734e, "kobject_init_and_add" },
	{ 0xd795a556, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdf03beac, "ns_capable" },
	{ 0x63a964a9, "inet_select_addr" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x92a0ef0a, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53caed1b, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xc3f26fee, "arp_create" },
	{ 0x79de3d49, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4bc834e5, "stp_proto_register" },
	{ 0x47af66c1, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0x4ab0c9f6, "sysfs_rename_link_ns" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x54f6840e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xdfe8d2b0, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf33085e9, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7906ffcb, "__pskb_pull_tail" },
	{ 0x119a6a86, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xf7aa0b1c, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x8918e5bf, "ip_mc_check_igmp" },
	{ 0xf769cf09, "__netdev_alloc_skb" },
	{ 0x177f231e, "rhashtable_destroy" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xe1663b54, "switchdev_port_obj_del" },
	{ 0xba071933, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xde05fd7b, "kobject_create_and_add" },
	{ 0xa94083df, "skb_trim" },
	{ 0x6a12b068, "nf_hook_slow" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x89035822, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x63e4f1b5, "__ip_mc_inc_group" },
	{ 0xba092f7c, "netdev_walk_all_upper_dev_rcu" },
	{ 0x58c25699, "sysfs_remove_group" },
	{ 0xa8520ca1, "__traceiter_br_fdb_external_learn_add" },
	{ 0xf18e37ab, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xaa1cd90, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x11bb5286, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4dc1bbee, "vlan_vid_add" },
	{ 0x945e25d7, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x64376b15, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb09645ab, "call_netdevice_notifiers" },
	{ 0xd5628cee, "is_skb_forwardable" },
	{ 0x9a518877, "vlan_vid_del" },
	{ 0xed2dc70e, "dev_set_allmulti" },
	{ 0x72ff1c23, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa2ed3cfc, "netdev_master_upper_dev_get" },
	{ 0x5d9e1bf2, "ipv6_dev_mc_inc" },
	{ 0xd822ebbe, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xea5e6754, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa3c9f2b1, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x552e2f4c, "skb_clone" },
	{ 0x527edcf5, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdb6535c3, "dst_release" },
	{ 0xda63c29f, "netif_carrier_on" },
	{ 0x11b29ddf, "kobject_uevent" },
	{ 0x6467ecfe, "arp_tbl" },
	{ 0x73e2d80f, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd584ded0, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7caecc3f, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf7451602, "netif_set_tso_max_size" },
	{ 0x8c6fcecc, "dev_disable_lro" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0xea8c9287, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xedb5675a, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xe4b9a3ae, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x4b1d68a7, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x19909b1, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xefb34a1d, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x9bd58d6a, "skb_ext_add" },
	{ 0x3b8005ab, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xdc0bf126, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0xcb0c6c0a, "neigh_lookup" },
	{ 0x74e3cd8f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4fe584f4, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2620b5d1, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6688CB620D23305C0BE1643");
MODULE_INFO(rhelversion, "9.6");
