#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xf4c2025d, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xdfbae897, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xaa9ff02a, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x89d4fb66, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xaf5c0910, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x5586237d, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x0e474768, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x009eced1, "");
SYMBOL_CRC(ip_vs_conn_put, 0x9a06b1af, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xdcb86276, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xb0cf5a3e, "");
SYMBOL_CRC(register_ip_vs_app, 0xecf59374, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x72c18aea, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x02bf2c52, "");
SYMBOL_CRC(ip_vs_proto_get, 0x1f85766e, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xb94a96fc, "");
SYMBOL_CRC(register_ip_vs_pe, 0xd331bd16, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xc2af511f, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xfc34a6d0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f1c42a7, "nf_ct_ext_add" },
	{ 0xba570c5b, "nf_conntrack_find_get" },
	{ 0x89ac7776, "try_module_get" },
	{ 0xa6356abb, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5a82f753, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x942af19e, "skb_copy_bits" },
	{ 0x89766cb6, "xfrm_lookup" },
	{ 0xc13a637a, "proc_dointvec_jiffies" },
	{ 0xe83dff54, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc541a7d4, "consume_skb" },
	{ 0x72c2a25f, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb043627e, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x49e37777, "nf_ct_netns_get" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xbe07980c, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xb3415405, "kernel_bind" },
	{ 0x5feae99a, "genlmsg_put" },
	{ 0xcbe2bb07, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ece14f3, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x37c28cc1, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf447abe7, "__module_get" },
	{ 0x99ee9d2a, "ip_route_output_flow" },
	{ 0x16a3ef95, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x624224d7, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x2a31421e, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x8089d47d, "proc_create_net_data" },
	{ 0x52cae634, "pskb_expand_head" },
	{ 0xea21cc6f, "register_pernet_subsys" },
	{ 0x99eea5d4, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x5945abc2, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x2bc67555, "nf_register_net_hooks" },
	{ 0x62e6d3e8, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x5c7b811d, "__alloc_skb" },
	{ 0xfd72f3fe, "kmem_cache_alloc" },
	{ 0x91089362, "ipv6_sock_mc_join" },
	{ 0xabfeaecc, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x16ae02f5, "ipv6_dev_get_saddr" },
	{ 0xa669075c, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7fe2c589, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbc6f7f43, "sk_skb_reason_drop" },
	{ 0x9e4719be, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x1742324, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x6a2f2c00, "nf_conntrack_alter_reply" },
	{ 0xfabcc7ff, "ip_route_me_harder" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xd7dfaa2c, "skb_push" },
	{ 0xddf57924, "kmem_cache_free" },
	{ 0x1ef5fcce, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd1dd5154, "proc_doulongvec_minmax" },
	{ 0xd3c1ecd0, "nf_ct_expect_alloc" },
	{ 0xff99709b, "skb_ensure_writable" },
	{ 0x790a442f, "iov_iter_kvec" },
	{ 0xe9fc63d2, "ip_mc_join_group" },
	{ 0xe0fbd93b, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdf03beac, "ns_capable" },
	{ 0xac797c76, "nf_unregister_net_hooks" },
	{ 0x63a964a9, "inet_select_addr" },
	{ 0x765e8ae7, "unregister_pernet_device" },
	{ 0xad3c5b1c, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfa5708a4, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbb3b0400, "kthread_stop" },
	{ 0x8e23d682, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x54f6840e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6ad3ae96, "kernel_connect" },
	{ 0x991bd2ca, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x7a1d7ff8, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b029f4b, "__icmpv6_send" },
	{ 0x7906ffcb, "__pskb_pull_tail" },
	{ 0xa10d5ebd, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa94083df, "skb_trim" },
	{ 0x6a12b068, "nf_hook_slow" },
	{ 0xb37ad68d, "mutex_trylock" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5a1d8212, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x131e61f5, "nf_ct_deliver_cached_events" },
	{ 0xfae295a8, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x444460fa, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3a0327ce, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0x9164847, "skb_set_owner_w" },
	{ 0x6f67b660, "__skb_checksum" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xf5fdf1a7, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x183402ac, "init_user_ns" },
	{ 0xf52acb6c, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x826c6e44, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0x9afe5910, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x88eacc, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5d59bb96, "ipv4_update_pmtu" },
	{ 0xc394dce, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdb6535c3, "dst_release" },
	{ 0x723fbe0d, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe481b50a, "proc_dointvec" },
	{ 0x57e29080, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x9ba81ff9, "unregister_net_sysctl_table" },
	{ 0x7d4c7934, "ip_local_out" },
	{ 0xb85e0815, "genl_unregister_family" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x24486617, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xeee158d6, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc636a404, "genl_register_family" },
	{ 0x5b7823a7, "kernel_sendmsg" },
	{ 0x2c82c00, "nf_ct_netns_put" },
	{ 0xc889c286, "register_pernet_device" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x74e3cd8f, "kmem_cache_destroy" },
	{ 0x1b05e900, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x70efdb03, "proc_dointvec_minmax" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "331E4E78A77EA0F25DFBF07");
MODULE_INFO(rhelversion, "9.6");
