#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x5e9904ea, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x021941d5, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x3626c374, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xa8e10213, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0xe6e38e83, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xaebe7bad, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xbf4f840e, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x465d440c, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xbd60dcce, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x9335b471, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xdb68415f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0xea21cc6f, "register_pernet_subsys" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0x57e29080, "seq_puts" },
	{ 0x54f6840e, "unregister_pernet_subsys" },
	{ 0x2bc67555, "nf_register_net_hooks" },
	{ 0xac797c76, "nf_unregister_net_hooks" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xdcb764ad, "memset" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xf7e26d03, "nf_ipv6_ops" },
	{ 0xbc6f7f43, "sk_skb_reason_drop" },
	{ 0x89766cb6, "xfrm_lookup" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x72c2a25f, "ip6_local_out" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xff99709b, "skb_ensure_writable" },
	{ 0x53c909e, "inet_proto_csum_replace4" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xfabcc7ff, "ip_route_me_harder" },
	{ 0x7d4c7934, "ip_local_out" },
	{ 0x5c7b811d, "__alloc_skb" },
	{ 0x85dc7fed, "skb_put" },
	{ 0x942af19e, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x7ac35b5d, "nf_ct_tmpl_alloc" },
	{ 0x9f1c42a7, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x8089d47d, "proc_create_net_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x9cd874e0, "nf_ct_tmpl_free" },
	{ 0x826c6e44, "remove_proc_entry" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x3e095999, "ipv6_skip_exthdr" },
	{ 0x677028cf, "nf_ct_seqadj_init" },
	{ 0xc541a7d4, "consume_skb" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "4F2F5B6C696A3F7E7689CE8");
MODULE_INFO(rhelversion, "9.6");
