#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x72a4d801, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x781d57d6, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xf5eb4f8f, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xd56964b7, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xb9df97ff, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x62b219e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f1c42a7, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb9220ebf, "nsh_pop" },
	{ 0xba570c5b, "nf_conntrack_find_get" },
	{ 0x268e6117, "nf_ct_set_timeout" },
	{ 0x232e3dd7, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x89ac7776, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x831ed213, "dev_fill_metadata_dst" },
	{ 0x6b147f2f, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2fef66cd, "nf_ct_handle_fragments" },
	{ 0xcfa6973b, "eth_mac_addr" },
	{ 0x85dc7fed, "skb_put" },
	{ 0x78f982d6, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x30eefd32, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc541a7d4, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x96196db0, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3b43e953, "skb_eth_pop" },
	{ 0x88908f7, "trace_raw_output_prep" },
	{ 0x9569b484, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xeeed4ffa, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xaf25d330, "nf_ct_helper" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x4c24bd96, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x39a3344d, "trace_event_printf" },
	{ 0x7d6e87ab, "rtnl_delete_link" },
	{ 0xd9ccc58e, "rtnl_link_register" },
	{ 0x6a734bee, "nf_connlabels_put" },
	{ 0x5feae99a, "genlmsg_put" },
	{ 0x2c50802, "___pskb_trim" },
	{ 0x57142993, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x552fb319, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b3a3982, "dev_set_promiscuity" },
	{ 0xca68def0, "nf_ct_destroy_timeout" },
	{ 0x7d8c755, "nf_ct_add_helper" },
	{ 0x212e99, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x83468d35, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc9b310ff, "nf_ct_skb_network_trim" },
	{ 0x808ce7da, "event_triggers_call" },
	{ 0x482388a4, "unregister_netdevice_queue" },
	{ 0x16a3ef95, "kmem_cache_create" },
	{ 0x96144879, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x916758a3, "node_states" },
	{ 0xca4c81b2, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfb906b9c, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x52cae634, "pskb_expand_head" },
	{ 0x911c6cd5, "skb_csum_hwoffload_help" },
	{ 0x143cf8e2, "trace_event_buffer_commit" },
	{ 0x4d471df5, "nf_connlabels_replace" },
	{ 0xc53a025, "eth_type_trans" },
	{ 0x7dd66d33, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x3366f996, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x74fe88a, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6017ae86, "trace_event_ignore_this_pid" },
	{ 0x2b70367a, "skb_eth_push" },
	{ 0xbdfae999, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x5c7b811d, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xfd72f3fe, "kmem_cache_alloc" },
	{ 0xcc550718, "skb_mpls_pop" },
	{ 0xd3342de6, "skb_vlan_pop" },
	{ 0x18d03e26, "dst_init" },
	{ 0xabfeaecc, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0xa669075c, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc1b89a16, "rtnl_link_unregister" },
	{ 0xea9e3146, "perf_trace_run_bpf_submit" },
	{ 0x7fe2c589, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x1f43033c, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7857d6d, "skb_mpls_update_lse" },
	{ 0xc4a4fcea, "skb_pull" },
	{ 0xcede625, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc6f7f43, "sk_skb_reason_drop" },
	{ 0x9e4719be, "netlink_unicast" },
	{ 0x785b9405, "bpf_trace_run5" },
	{ 0xcc868240, "dev_get_by_index_rcu" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0xd7dfaa2c, "skb_push" },
	{ 0xddf57924, "kmem_cache_free" },
	{ 0xdfb75219, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x564465bd, "trace_event_reg" },
	{ 0xff99709b, "skb_ensure_writable" },
	{ 0x73680a90, "free_netdev" },
	{ 0xd795a556, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x765e8ae7, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53caed1b, "ethtool_op_get_link" },
	{ 0x8e23d682, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x1d3d0000, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7906ffcb, "__pskb_pull_tail" },
	{ 0xa10d5ebd, "nf_ct_delete" },
	{ 0x7b8e7185, "nf_conncount_init" },
	{ 0x313cafc9, "skb_vlan_push" },
	{ 0x119a6a86, "dev_get_tstats64" },
	{ 0xf7aa0b1c, "netif_rx" },
	{ 0xf769cf09, "__netdev_alloc_skb" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xba071933, "netdev_master_upper_dev_link" },
	{ 0x9583a377, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x79b137ef, "down_read" },
	{ 0xa7ceb048, "inet_proto_csum_replace16" },
	{ 0xa94083df, "skb_trim" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x10974f1, "skb_scrub_packet" },
	{ 0x131e61f5, "nf_ct_deliver_cached_events" },
	{ 0x444460fa, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xeb00ec39, "skb_tx_error" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x11bb5286, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc732c62e, "trace_event_buffer_reserve" },
	{ 0x6f67b660, "__skb_checksum" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x53c909e, "inet_proto_csum_replace4" },
	{ 0xbc294b98, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x7ee90a82, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa2ed3cfc, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd3dcef21, "dev_get_by_name" },
	{ 0x552e2f4c, "skb_clone" },
	{ 0x527edcf5, "metadata_dst_alloc" },
	{ 0xdb6535c3, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x18cb934a, "peernet2id_alloc" },
	{ 0x6f7bcff5, "nf_ct_get_tuplepr" },
	{ 0xd584ded0, "netdev_rx_handler_register" },
	{ 0xe3b75369, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb85e0815, "genl_unregister_family" },
	{ 0x8c6fcecc, "dev_disable_lro" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xe4b9a3ae, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc636a404, "genl_register_family" },
	{ 0x9cd874e0, "nf_ct_tmpl_free" },
	{ 0xc588200, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa83c6666, "__skb_gso_segment" },
	{ 0x2d545fd0, "up_read" },
	{ 0x815c7709, "skb_mpls_push" },
	{ 0xc889c286, "register_pernet_device" },
	{ 0x9604f93c, "nf_conntrack_in" },
	{ 0xdb35f3e9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0xa5025a8, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x74e3cd8f, "kmem_cache_destroy" },
	{ 0x71645a9c, "__skb_vlan_pop" },
	{ 0x7ac35b5d, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2620b5d1, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "AC0920AF4C02966DA61C801");
MODULE_INFO(rhelversion, "9.6");
