#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_hdmi_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_infoframes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_bridge_connector_init, 0xca1b5508, "_gpl");
SYMBOL_CRC(drm_dp_dual_mode_read, 0xa44d6004, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xcda7fde7, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x529b2354, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x3c0065dd, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x00e75823, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0xe5e60711, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xf016eed4, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x97a9b36d, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xf4791ab3, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x638b74ea, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x5c6998ab, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xf445d048, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xd5d9c46c, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x2193c058, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xf2986da2, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x1c1d025a, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xc4af697c, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x38cc18df, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x8cb8b19b, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xaf02012b, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x8537bb37, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x8af0229d, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xfd949101, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x910bffa4, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x15857b6f, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xe6c62cc7, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xc25d4852, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0xd59960d8, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xac3a8edb, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x0da52cd6, "");
SYMBOL_CRC(drm_dp_aux_init, 0x2a6817e6, "");
SYMBOL_CRC(drm_dp_aux_register, 0x381f2fd0, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xa035ea5c, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x022b1561, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x84130f1c, "");
SYMBOL_CRC(drm_dp_read_desc, 0x9fea810e, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0xec3c90e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xf9d397b5, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xd9d3490d, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xdb5f6040, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x03d6564b, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xf013835a, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x6c847acf, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0xa7ececd8, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x437554e3, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xdddcc2c2, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x8400d68d, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x417744a1, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xd627d6e1, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x4397815e, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x0d008c53, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x7b2ff122, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x1085a358, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0xfa5d06cd, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x3686377f, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x14275a38, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x6941bed0, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xf4d2b0d2, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0xbfd05ae5, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x16e1e561, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x5d31403c, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x8c9377b0, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xe9565559, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0xeb3f0691, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0x1c7aafb8, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0x2b8147f2, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x3908df17, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x24d022c0, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x1d85bc04, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x3bdf93d8, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x7a5d28fd, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0xa4037d13, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x9c0d8174, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x5db73a58, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x958a8baf, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xb9b78d4a, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x3be3c179, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x4e55a45e, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x39e91310, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x3fc1be12, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0xd4179aa5, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xd13226bd, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xc06941d1, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xaab75a8e, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x29709356, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x14eb5172, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x294e0698, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xb95cbe66, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xe9277595, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x132c033b, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x66b66392, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x23902a9f, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xbeaa9ece, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xb746f895, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xe7e67fa3, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xd176feeb, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x96fc5616, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x33a8d295, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x0e66d1b2, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x4e1f1858, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x55cb6554, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x5a76c136, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x62e79636, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x31063219, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xcd22eb40, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xae9ba31e, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x2a010aa5, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x8a62e3b4, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x1ad8f8b7, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0xeb13b66e, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x4ce11b16, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0xdb942976, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0xcd3c8af6, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x7d3d7529, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x37ed1529, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x91804785, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0xb5661029, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0x685c144d, "");
SYMBOL_CRC(drm_scdc_write, 0xed9c6d16, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0xb696c528, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x27669656, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xf29aaacd, "");
SYMBOL_CRC(__drm_atomic_helper_connector_hdmi_reset, 0x6731110a, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_check, 0x86f2e15b, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_infoframes, 0x4559eb22, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, 0x23a9fc6f, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, 0x65e89be1, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x7bfa6e5e, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x60272d74, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x102b3e7e, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0xa6110a18, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xba058312, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xb35a1f18, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb3a2c43e, "drm_crtc_add_crc_entry" },
	{ 0x9ae6b2da, "cec_delete_adapter" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xbfdf6470, "drm_connector_register" },
	{ 0x510251fb, "cec_transmit_attempt_done_ts" },
	{ 0x7193a530, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0x2451e20, "drm_atomic_get_private_obj_state" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0xc2f4d03b, "drm_bridge_hpd_enable" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xbe07980c, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x717f2d8d, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x253675a2, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x5f3126d4, "cec_s_conn_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3d5ae633, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x37c28cc1, "prepare_to_wait_event" },
	{ 0x94ab8af4, "drm_connector_unregister" },
	{ 0xbbdeeb4e, "__wake_up" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x701f230a, "drm_mode_object_put" },
	{ 0x6dfbd757, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xfc22e4c3, "request_firmware_direct" },
	{ 0xd41a65d7, "drm_edid_connector_update" },
	{ 0xccf5b201, "drm_bridge_hpd_disable" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x30c96533, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x34d90f0a, "drm_atomic_private_obj_fini" },
	{ 0xd529a336, "drm_atomic_helper_connector_destroy_state" },
	{ 0xa916b694, "strnlen" },
	{ 0x9acececd, "drm_bridge_edid_read" },
	{ 0x5509ca37, "drm_property_create_enum" },
	{ 0xd6b133eb, "drm_dev_printk" },
	{ 0xdbde63a2, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x89d9b1a7, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc4d320c2, "drm_crtc_wait_one_vblank" },
	{ 0xbcc1bb51, "drm_modeset_lock" },
	{ 0x652ee638, "drm_modeset_unlock" },
	{ 0xf48957f3, "drm_panel_bridge_set_orientation" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x39e42d56, "_dev_err" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x9fb2318e, "drm_edid_connector_add_modes" },
	{ 0x273dc9d6, "drm_hdmi_connector_get_output_format_name" },
	{ 0x80a8ddf8, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x1ef5fcce, "seq_putc" },
	{ 0xf0925c03, "drm_kms_helper_connector_hotplug_event" },
	{ 0x77fdd36f, "drm_crtc_commit_wait" },
	{ 0xa09e4baa, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x5da5f481, "drmm_connector_init" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3e24369, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa90cd9f5, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x21ef09bd, "drm_atomic_get_old_private_obj_state" },
	{ 0xcc40785e, "__drm_dev_dbg" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xdcb764ad, "memset" },
	{ 0x6506b3e7, "_dev_warn" },
	{ 0x120df912, "drmm_kmalloc" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x9f3b2f20, "fwnode_handle_get" },
	{ 0x1bd0acfc, "__init_waitqueue_head" },
	{ 0xfdca2e29, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb37ad68d, "mutex_trylock" },
	{ 0xcd35afe5, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd096049, "cec_allocate_adapter" },
	{ 0x258846e, "drm_object_property_set_value" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4466ee02, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x749e02de, "drm_bridge_is_panel" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0x409e5e58, "drm_helper_probe_single_connector_modes" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0xeb9cfb37, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x6e7f595c, "i2c_transfer" },
	{ 0xc8569b6b, "drm_display_mode_from_cea_vic" },
	{ 0x57e29080, "seq_puts" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc60b2eb0, "cec_fill_conn_info_from_drm" },
	{ 0x82137d9b, "drm_atomic_helper_connector_reset" },
	{ 0x40c1333d, "drm_sysfs_connector_property_event" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0x9905b7bf, "cec_received_msg_ts" },
	{ 0xe60ea19b, "drmm_connector_hdmi_init" },
	{ 0x1658ee5f, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0xeee158d6, "param_ops_int" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0xbc061449, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0xacfc8a80, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x4de42621, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e51d68d, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper");


MODULE_INFO(srcversion, "F18F433A92DD459AF355816");
MODULE_INFO(rhelversion, "9.6");
