#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0x4d743c8c, "");
SYMBOL_CRC(host1x_device_exit, 0x726d5cbb, "");
SYMBOL_CRC(host1x_driver_register_full, 0x6d7e6549, "");
SYMBOL_CRC(host1x_driver_unregister, 0xe27ebb3f, "");
SYMBOL_CRC(__host1x_client_init, 0x5b82c7ae, "");
SYMBOL_CRC(host1x_client_exit, 0xdc153024, "");
SYMBOL_CRC(__host1x_client_register, 0x9b48abdb, "");
SYMBOL_CRC(host1x_client_unregister, 0x36c0f6ba, "");
SYMBOL_CRC(host1x_client_suspend, 0x6ce1d759, "");
SYMBOL_CRC(host1x_client_resume, 0x39ca9801, "");
SYMBOL_CRC(host1x_bo_pin, 0xb0b62906, "");
SYMBOL_CRC(host1x_bo_unpin, 0x494099b0, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0xd9e337cc, "");
SYMBOL_CRC(host1x_syncpt_id, 0x675f03b0, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0x726c7f2e, "");
SYMBOL_CRC(host1x_syncpt_incr, 0x1b8d1f0a, "");
SYMBOL_CRC(host1x_syncpt_wait, 0xeb2efdd5, "");
SYMBOL_CRC(host1x_syncpt_request, 0x1322e2bc, "");
SYMBOL_CRC(host1x_syncpt_put, 0xe09d8c2b, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0x916190a9, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0xf18a87e6, "");
SYMBOL_CRC(host1x_syncpt_read, 0x8342dde3, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0x5d173501, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0x3297f92a, "");
SYMBOL_CRC(host1x_syncpt_get, 0x4ab6a11a, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0x907049db, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0x8e89f1b1, "");
SYMBOL_CRC(host1x_get_dma_mask, 0xb73c29cc, "");
SYMBOL_CRC(host1x_job_submit, 0x17c8a8f3, "");
SYMBOL_CRC(host1x_channel_get, 0x9c2b9084, "");
SYMBOL_CRC(host1x_channel_stop, 0x04480e20, "");
SYMBOL_CRC(host1x_channel_put, 0xacc770c7, "");
SYMBOL_CRC(host1x_channel_request, 0xfe6658a1, "");
SYMBOL_CRC(host1x_job_alloc, 0x21d1c843, "");
SYMBOL_CRC(host1x_job_get, 0xe5844859, "");
SYMBOL_CRC(host1x_job_put, 0x98168016, "");
SYMBOL_CRC(host1x_job_add_gather, 0xf4fd28fe, "");
SYMBOL_CRC(host1x_job_add_wait, 0xf0af58e8, "");
SYMBOL_CRC(host1x_job_pin, 0xe5e2a9e6, "");
SYMBOL_CRC(host1x_job_unpin, 0xc10be08d, "");
SYMBOL_CRC(tegra_mipi_request, 0x9be6d37f, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0x470473c3, "");
SYMBOL_CRC(host1x_fence_cancel, 0xe130821d, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0x39a2af4f, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0xbf7b9b54, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0x6d365298, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe00eb197, "iommu_map_sg" },
	{ 0x18c81f14, "platform_device_put" },
	{ 0x86ff3fe0, "dma_fence_signal_locked" },
	{ 0xf67d15a8, "devm_platform_ioremap_resource" },
	{ 0xba5cf935, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x7fdc9339, "devm_request_threaded_irq" },
	{ 0xc3592e1e, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x3be93220, "devm_platform_get_and_ioremap_resource" },
	{ 0xc8f4ff6, "dev_set_name" },
	{ 0xe9c639a0, "of_find_device_by_node" },
	{ 0xdd591ca8, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x88908f7, "trace_raw_output_prep" },
	{ 0xc59eb92c, "iommu_group_get" },
	{ 0x6914155a, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0x39a3344d, "trace_event_printf" },
	{ 0x36231c0a, "free_iova" },
	{ 0xac17179, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xebf8e0f8, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x57142993, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa29aedf1, "pm_generic_poweroff" },
	{ 0x83ab0db, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x54fcf5e5, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x808ce7da, "event_triggers_call" },
	{ 0x3561f693, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xc9e4f99d, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xad5f7aee, "devm_clk_get" },
	{ 0xec706682, "dma_fence_wait_timeout" },
	{ 0x70bba74f, "__free_iova" },
	{ 0x143cf8e2, "trace_event_buffer_commit" },
	{ 0xf3c8a400, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x4710bfd, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x37f0fdbf, "iommu_detach_group" },
	{ 0x2f3c443b, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb0ea257b, "put_device" },
	{ 0x6017ae86, "trace_event_ignore_this_pid" },
	{ 0x882ecb50, "pm_runtime_enable" },
	{ 0x859fa56a, "alloc_iova" },
	{ 0xad530b4e, "devm_tegra_core_dev_init_opp_table" },
	{ 0xf6a12a02, "platform_get_irq_byname_optional" },
	{ 0x61a3e7e3, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0xf1cd701f, "pm_generic_suspend" },
	{ 0xece6e2a0, "iommu_get_domain_for_dev" },
	{ 0x1b2d166a, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa2bdefa0, "put_iova_domain" },
	{ 0xea9e3146, "perf_trace_run_bpf_submit" },
	{ 0x66022c0a, "bus_unregister" },
	{ 0x39e42d56, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0x4df1ad28, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xce4e45bf, "device_add" },
	{ 0x80144ea9, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xe6cd537f, "iommu_domain_alloc" },
	{ 0xca2a0ab4, "iommu_unmap" },
	{ 0x6f008685, "dma_fence_signal" },
	{ 0x785b9405, "bpf_trace_run5" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x3cc65a18, "dma_alloc_attrs" },
	{ 0x3f2f8bb8, "debugfs_remove" },
	{ 0x564465bd, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0x11d3b72c, "of_property_count_elems_of_size" },
	{ 0x394e1f77, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x44507e0a, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x69dd07d9, "of_device_is_available" },
	{ 0xabf945c0, "dma_fence_init" },
	{ 0x3fb27278, "mutex_lock_interruptible" },
	{ 0x4e714173, "host1x_context_device_bus_type" },
	{ 0xd27e8e5e, "bpf_trace_run1" },
	{ 0x23c70902, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x6506b3e7, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9d8dfa63, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa4bb611f, "debugfs_create_u32" },
	{ 0xb1de2861, "devm_platform_ioremap_resource_byname" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0xd274a5e9, "dma_set_coherent_mask" },
	{ 0xbcd1f7ef, "bpf_trace_run3" },
	{ 0x3361ad36, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xa0d4b5b5, "debugfs_create_file" },
	{ 0x2f813932, "dma_free_attrs" },
	{ 0xc732c62e, "trace_event_buffer_reserve" },
	{ 0x713a00ae, "__pm_runtime_resume" },
	{ 0xba7dab11, "init_iova_domain" },
	{ 0x4fe28ef8, "__devm_reset_control_bulk_get" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x547714a8, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3f4332f1, "seq_write" },
	{ 0xe93ae6ac, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a6d16d3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x416b726f, "iommu_map" },
	{ 0x4c9d1f39, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x47c25a9f, "dma_set_mask" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0x31923c63, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x8ec256fd, "iommu_attach_group" },
	{ 0x22a781be, "single_open" },
	{ 0x2e0589a0, "of_device_get_match_data" },
	{ 0x13fc820c, "pm_generic_restore" },
	{ 0xe46550a5, "__pm_runtime_disable" },
	{ 0x66f7e09b, "debugfs_create_dir" },
	{ 0xd5bfaafb, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfd27accc, "platform_unregister_drivers" },
	{ 0xbbae094f, "pm_runtime_force_suspend" },
	{ 0x715b9c16, "driver_register" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x3413b31d, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x1966d8b9, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x799cf63, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "D0E359044FCD4E486F4089A");
MODULE_INFO(rhelversion, "9.6");
