#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x9a9b9f1d, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xe7249d17, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x1aabe0ee, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xca249811, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca4c81b2, "ether_setup" },
	{ 0x79de3d49, "__ethtool_get_link_ksettings" },
	{ 0x3e99078d, "ethtool_get_ts_info_by_layer" },
	{ 0x7fe2c589, "init_net" },
	{ 0x988ecaa9, "generic_hwtstamp_set_lower" },
	{ 0x59d4b24f, "generic_hwtstamp_get_lower" },
	{ 0x3bba5650, "dev_mc_del" },
	{ 0x7a64d8a1, "dev_uc_del" },
	{ 0x94a0710, "dev_mc_add_excl" },
	{ 0x1fedd98b, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x9a518877, "vlan_vid_del" },
	{ 0x4dc1bbee, "vlan_vid_add" },
	{ 0xed2dc70e, "dev_set_allmulti" },
	{ 0x9b3a3982, "dev_set_promiscuity" },
	{ 0x847d4da0, "dev_uc_unsync" },
	{ 0x4e8651a4, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0xd9ccc58e, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc1b89a16, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf2639639, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xd584ded0, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x7caecc3f, "dev_uc_add" },
	{ 0xfa3bd52d, "dev_set_mac_address" },
	{ 0xb09645ab, "call_netdevice_notifiers" },
	{ 0xbd9a57b7, "netif_inherit_tso_max" },
	{ 0x7282e590, "netdev_update_features" },
	{ 0x60ddc076, "netif_stacked_transfer_operstate" },
	{ 0x9adada0e, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x482388a4, "unregister_netdevice_queue" },
	{ 0xdfb75219, "netdev_upper_dev_unlink" },
	{ 0xdac73e13, "dev_uc_sync" },
	{ 0x33afb8, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x552e2f4c, "skb_clone" },
	{ 0xf7aa0b1c, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x15717752, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc541a7d4, "consume_skb" },
	{ 0x74fe88a, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbc6f7f43, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x51317132, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2620b5d1, "register_netdevice" },
	{ 0xd799f4bf, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x79231946, "linkwatch_fire_event" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x7d7c52c8, "__netif_rx" },
	{ 0xc484a72f, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38424f7c, "netdev_core_stats_inc" },
	{ 0x11bb5286, "__dev_queue_xmit" },
	{ 0xe920fba2, "dev_forward_skb" },
	{ 0x9927d2f4, "passthru_features_check" },
	{ 0xa5b2404, "eth_validate_addr" },
	{ 0x6bdad04c, "ndo_dflt_fdb_dump" },
	{ 0x8498564a, "eth_header_parse" },
	{ 0x86d6aff0, "eth_header_cache" },
	{ 0x1f3c0c34, "eth_header_cache_update" },
	{ 0x53caed1b, "ethtool_op_get_link" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.6");
