#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xa443b739, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x606b8166, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xf5d3627a, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x06c00f22, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x8d154434, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xaa7c74a1, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x36af561f, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xf2712688, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x3466ddb3, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xabde46b7, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x74fca143, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xd6bc5970, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xb952a4c0, "_gpl");
SYMBOL_CRC(usbnet_open, 0xb9e3f1f4, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x47af54eb, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xf81798d4, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x03296e38, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x140fe21f, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x3b3e5462, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x6cc00b93, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xf34b1cef, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xdb73e170, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x54858b37, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xe10ab315, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x7ffb631c, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x30a849e7, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x1050f766, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x2fd39013, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x6b86e7bf, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x94ba913a, "");
SYMBOL_CRC(usbnet_manage_power, 0x8e02153a, "");
SYMBOL_CRC(usbnet_link_change, 0xc0d19d3d, "");
SYMBOL_CRC(usbnet_read_cmd, 0x4ef10e80, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x2400b952, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x7c2e8a52, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x56beee44, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x7ab8ce81, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72dd91fa, "usb_set_interface" },
	{ 0x8cb4fc66, "usb_string" },
	{ 0xc9e4f99d, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x89035822, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x2a11b76, "skb_queue_purge_reason" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0x4035dd0d, "usb_get_urb" },
	{ 0xca9321a, "usb_unlink_urb" },
	{ 0xf7a633f1, "usb_free_urb" },
	{ 0xf3f807df, "usb_submit_urb" },
	{ 0x2925cbeb, "netdev_err" },
	{ 0xe51e383d, "mii_ethtool_get_link_ksettings" },
	{ 0x460f27f0, "mii_ethtool_set_link_ksettings" },
	{ 0xf0800fb2, "mii_nway_restart" },
	{ 0x83a9fb8, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf173fed, "unregister_netdev" },
	{ 0x3b573682, "usb_scuttle_anchored_urbs" },
	{ 0xb46a4448, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x73680a90, "free_netdev" },
	{ 0x996c6ffe, "netdev_info" },
	{ 0xda63c29f, "netif_carrier_on" },
	{ 0xea5e6754, "netif_carrier_off" },
	{ 0x6c7e679f, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9664c230, "usb_autopm_get_interface" },
	{ 0x3c5944dc, "usb_autopm_put_interface" },
	{ 0xf1b0158f, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x6ed7adcb, "mii_link_ok" },
	{ 0x53caed1b, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xe97194c3, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe085e717, "remove_wait_queue" },
	{ 0xaed6906e, "netif_device_detach" },
	{ 0x8774aba3, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xf5ea3bb7, "skb_defer_rx_timestamp" },
	{ 0xf7aa0b1c, "netif_rx" },
	{ 0xc53a025, "eth_type_trans" },
	{ 0x94067c8d, "skb_queue_tail" },
	{ 0xe9fcab53, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1bd0acfc, "__init_waitqueue_head" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x21300970, "register_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x882ecb50, "pm_runtime_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9442ec18, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x21ee9eed, "skb_clone_tx_timestamp" },
	{ 0x81b4f9b9, "usb_autopm_get_interface_async" },
	{ 0xe4b9a3ae, "dev_kfree_skb_any_reason" },
	{ 0x74a93d62, "skb_tstamp_tx" },
	{ 0xae10a9f1, "usb_anchor_urb" },
	{ 0xf769cf09, "__netdev_alloc_skb" },
	{ 0xc541a7d4, "consume_skb" },
	{ 0xad516321, "netif_tx_wake_queue" },
	{ 0xbbdeeb4e, "__wake_up" },
	{ 0x8ab88b60, "usb_autopm_get_interface_no_resume" },
	{ 0xb16ce03f, "usb_get_from_anchor" },
	{ 0x85dc7fed, "skb_put" },
	{ 0x60f593f4, "usb_clear_halt" },
	{ 0xcfa6973b, "eth_mac_addr" },
	{ 0xa5b2404, "eth_validate_addr" },
	{ 0x119a6a86, "dev_get_tstats64" },
	{ 0x39d2f00, "ethtool_op_get_ts_info" },
	{ 0xeee158d6, "param_ops_int" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "D10E818D1D587F6CA0A230B");
MODULE_INFO(rhelversion, "9.6");
