#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x5bfaa2c3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x2e68719e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x0736dd10, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x647176b8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x3785e561, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x11641f13, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xaa976bb3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0xbe652d65, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xd4e55f1e, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xe0e53d7d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x7902bf66, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0xd1198a99, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x89aeca81, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0xf91a4e28, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x9d0ae9fa, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x32af7859, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x08dcbfe3, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x4415bdec, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x820f0a79, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x3c9169d0, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x77a3c3df, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xfa3c1cdf, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0xaf9e4c6b, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xb28ec295, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x17791f96, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x27a55d7c, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0xf124032e, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x1c4e0c2b, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x1a63e5ef, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x5b23d546, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x2e9525ed, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xec363d0a, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x530517c2, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x0f50faad, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x541d7cc8, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x8ae99381, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xce860d8d, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0xc38efb24, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x5b3f7912, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x64a0b03a, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xe6615912, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0xab77259d, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x8beacd31, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xd1f5693e, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x78ed49af, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xd3da362f, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x22cfd93d, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0xff56477c, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x0b5fb9e9, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x4a8a4e4d, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x695a374b, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x9f8a3f87, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xd8b4bb96, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98cf60b3, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe914e41e, "strcpy" },
	{ 0xea9e3146, "perf_trace_run_bpf_submit" },
	{ 0xc732c62e, "trace_event_buffer_reserve" },
	{ 0x143cf8e2, "trace_event_buffer_commit" },
	{ 0x808ce7da, "event_triggers_call" },
	{ 0x6017ae86, "trace_event_ignore_this_pid" },
	{ 0x88908f7, "trace_raw_output_prep" },
	{ 0x39a3344d, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54fcf5e5, "bpf_trace_run2" },
	{ 0xbc8931ba, "mutex_lock" },
	{ 0x44abff39, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xd65698eb, "idr_remove" },
	{ 0xb0ea257b, "put_device" },
	{ 0x6914155a, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x58c25699, "sysfs_remove_group" },
	{ 0x55a2a0be, "idr_find" },
	{ 0x859196c2, "get_device" },
	{ 0x8221b768, "device_find_child" },
	{ 0xefe556a5, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xe22b22cf, "rt_spin_lock" },
	{ 0x64c278c0, "rt_spin_unlock" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x341ccd30, "scsi_target_unblock" },
	{ 0x590c1831, "dev_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7a8177b9, "netlink_kernel_release" },
	{ 0x66022c0a, "bus_unregister" },
	{ 0x95e51730, "transport_class_unregister" },
	{ 0x8d8573a5, "class_unregister" },
	{ 0x436b7969, "class_register" },
	{ 0xfeec2132, "transport_class_register" },
	{ 0x799cf63, "bus_register" },
	{ 0x7fe2c589, "init_net" },
	{ 0xf1f6ed9f, "__netlink_kernel_create" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcb1acb5, "scsi_is_host_device" },
	{ 0x8b3356c, "scsi_scan_target" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xcf7d9837, "rt_mutex_base_init" },
	{ 0xc695c128, "scsi_host_get" },
	{ 0xebf8e0f8, "device_initialize" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xabeaa2c6, "scsi_init_limits" },
	{ 0xfcee69c6, "bsg_setup_queue" },
	{ 0xce4e45bf, "device_add" },
	{ 0xa57be146, "transport_setup_device" },
	{ 0xec7d352e, "transport_add_device" },
	{ 0x23c70902, "device_del" },
	{ 0xfb906b9c, "netlink_broadcast_filtered" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9dbb0ea9, "transport_remove_device" },
	{ 0x9378879d, "transport_destroy_device" },
	{ 0x5c7b811d, "__alloc_skb" },
	{ 0xc423ab0a, "__nlmsg_put" },
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0x790dcde4, "bsg_remove_queue" },
	{ 0xc262aa40, "scsi_host_put" },
	{ 0xa73149fa, "__mutex_rt_init" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xe8551ac6, "scsi_block_targets" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x479d52e9, "bsg_job_done" },
	{ 0xc8f4ff6, "dev_set_name" },
	{ 0x2da6fa7c, "device_register" },
	{ 0x92a0ef0a, "sysfs_create_group" },
	{ 0x4e3412d9, "idr_alloc" },
	{ 0xc3e82ac5, "scsi_host_lookup" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbc6f7f43, "sk_skb_reason_drop" },
	{ 0x1567ee2c, "scsi_remove_target" },
	{ 0x7fe081cd, "ida_free" },
	{ 0x8bf2a235, "ida_alloc_range" },
	{ 0xa94083df, "skb_trim" },
	{ 0x947f9712, "attribute_container_unregister" },
	{ 0xf1cd73ee, "kmalloc_caches" },
	{ 0x9c20c5a6, "kmalloc_trace" },
	{ 0xef6885ea, "attribute_container_register" },
	{ 0xebf0d129, "netlink_capable" },
	{ 0x89ac7776, "try_module_get" },
	{ 0xabfeaecc, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x9e4719be, "netlink_unicast" },
	{ 0xc4a4fcea, "skb_pull" },
	{ 0x564465bd, "trace_event_reg" },
	{ 0x57142993, "trace_event_raw_init" },
	{ 0xeee158d6, "param_ops_int" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98EF0EDE3803D4354533081");
MODULE_INFO(rhelversion, "9.6");
