#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xb5ed2742, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x37db03d1, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x40e4f9ea, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x9f9edfcb, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x13339e4d, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xdbfb49e2, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x7df2bdf6, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xec77bc43, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x7fcfc0e2, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x2246e56c, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xed968d8d, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x16e7de42, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x19560be6, "ipv6_chk_addr_and_flags" },
	{ 0xcc868240, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x28f4d7b7, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xc889c286, "register_pernet_device" },
	{ 0x4216f4a6, "xfrm6_tunnel_register" },
	{ 0xd9ccc58e, "rtnl_link_register" },
	{ 0x80c81341, "xfrm6_tunnel_deregister" },
	{ 0x765e8ae7, "unregister_pernet_device" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x482388a4, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd14a3310, "rt6_lookup" },
	{ 0xdb6535c3, "dst_release" },
	{ 0x51317132, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x9d0800b6, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x7fe2c589, "init_net" },
	{ 0x7dd66d33, "alloc_netdev_mqs" },
	{ 0x21300970, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x73680a90, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc1b89a16, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3f3564c3, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x7906ffcb, "__pskb_pull_tail" },
	{ 0x2620b5d1, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf37b74b, "netdev_state_change" },
	{ 0x4053a0d4, "make_kuid" },
	{ 0x2be6d4c2, "ip6_redirect" },
	{ 0x759beb7b, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xa41aedbd, "dst_cache_get" },
	{ 0x62e6d3e8, "ip6_route_output_flags" },
	{ 0x89766cb6, "xfrm_lookup" },
	{ 0x10974f1, "skb_scrub_packet" },
	{ 0xfae295a8, "skb_realloc_headroom" },
	{ 0x9164847, "skb_set_owner_w" },
	{ 0xc541a7d4, "consume_skb" },
	{ 0xc411c9f0, "ipv6_push_frag_opts" },
	{ 0xd7dfaa2c, "skb_push" },
	{ 0x72c2a25f, "ip6_local_out" },
	{ 0x3b01c0, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x942af19e, "skb_copy_bits" },
	{ 0xe7ed8168, "ip6_dst_hoplimit" },
	{ 0x16ae02f5, "ipv6_dev_get_saddr" },
	{ 0x945e25d7, "neigh_destroy" },
	{ 0x552e2f4c, "skb_clone" },
	{ 0xc4a4fcea, "skb_pull" },
	{ 0x5b029f4b, "__icmpv6_send" },
	{ 0xbc6f7f43, "sk_skb_reason_drop" },
	{ 0x1e8a9aff, "gro_cells_receive" },
	{ 0xc53a025, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x99ee9d2a, "ip_route_output_flow" },
	{ 0xf2c51f71, "ip_route_input_noref" },
	{ 0x3a0327ce, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x624224d7, "iptunnel_handle_offloads" },
	{ 0x46d634f8, "icmpv6_ndo_send" },
	{ 0x13e204ea, "icmp_ndo_send" },
	{ 0x5c48e711, "__iptunnel_pull_header" },
	{ 0x527edcf5, "metadata_dst_alloc" },
	{ 0x656ad900, "__xfrm_policy_check" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xdf03beac, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x119a6a86, "dev_get_tstats64" },
	{ 0x5e14310, "param_ops_bool" },
	{ 0xd245871c, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "3DD7C01CB2A7CAF119C80A5");
MODULE_INFO(rhelversion, "9.6");
